# Q3 2020 Roadmap

Each quarter the team will highlight areas of focus for our work and upcoming research.
 
We select items to include in the roadmap from community issues and internal priorities. When community pull requests exist for an item, we will prioritize working with the original authors to include their contributions. If the author can no longer take on the implementation, HashiCorp may complete any additional work needed. 

Each release will include necessary tasks that lead to the completion of the stated goals as well as community pull requests, enhancements, and features that are not highlighted in the roadmap. 

To make contribution easier, we’ll be using the [`Help Wanted`](https://github.com/hashicorp/terraform-provider-helm/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) tag to point to issues we’d like to include in this quarter’s series of releases. Please review the [Contributing Guide](_about/CONTRIBUTING.md) for additional information.

This quarter (July-September ‘20) we will prioritize the following areas of work: 

## Currently In Progress

### 2.0.0 

Major version releases include code removals, deprecations, and breaking changes. A corresponding “upgrade guide” will be published alongside the release. 

In the 2.0.0 release we'll focus on two areas:
 - Upgrading to [Terraform Plugin SDK v2](https://www.terraform.io/docs/extend/guides/v2-upgrade-guide.html)
 - [Removing support for Terraform 0.11](https://github.com/hashicorp/terraform-provider-helm/issues/544)

### Themes

To improve the provider, we plan to identify and focus on a theme or set of themes each quarter that will address specific areas of the user experience. Here are the themes we plan to work on this quarter.

#### Diffs

Issues: [theme/diffs](https://github.com/hashicorp/terraform-provider-helm/issues?q=is%3Aopen+is%3Aissue+label%3Atheme%2Fdiffs)

Goal: Improve diffs of Helm Charts

The Helm provider only generates diffs for the Terraform resources declared in the configuration.  This is useful, but including a diff for the Helm Chart generated Kubernetes manifests is another feature we want to add.

#### Strech Goal: Errors

Issues: [theme/errors](https://github.com/hashicorp/terraform-provider-helm/issues?q=is%3Aopen+is%3Aissue+label%3Atheme%2Ferrors)

Goal: Improve the error messages generated by the Helm provider and clarify error messages that Kubernetes sends

While there aren't many open issues on this at the moment, one thing we consistently hear an ask for is better error messages.  We will take a holistic look at the error messages in the Kubernetes provider and try to clarify them where possible.


## Feedback

We are interested in your thoughts and feedback about these proposals and encourage you to comment on the issue linked above or [schedule time with @redeux](https://calendly.com/philsautter/30min) to discuss.

## Disclosures

The product-development initiatives in this document reflect HashiCorp's current plans and are subject to change and/or cancellation in HashiCorp's sole discretion.